> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Return stored tax calculations for an order

> Return the tax calculations stored for an order.



## OpenAPI

````yaml /swagger/openapi-billing.json post /checkout/get_tax_calculation
openapi: 3.0.0
info:
  title: OpenAPI3
  version: 1.0.0
servers:
  - url: https://billing.funnelfox.com/{org_id}/v1
    description: FunnelFox Payments API
    variables:
      org_id:
        default: your-org-id
        description: Your organization ID
security:
  - FunnelFoxSecretKey: []
paths:
  /checkout/get_tax_calculation:
    post:
      tags:
        - Checkout
      summary: Return stored tax calculations for an order
      description: Return the tax calculations stored for an order.
      parameters:
        - name: org_id
          in: path
          required: true
          description: Organization ID
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetTaxCalculationIn'
      responses:
        '200':
          description: Tax calculations for the order
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTaxCalculationOut'
components:
  schemas:
    GetTaxCalculationIn:
      properties:
        order_id:
          description: Order ID
          format: uuid
          title: Order Id
          type: string
      required:
        - order_id
      title: GetTaxCalculationIn
      type: object
    GetTaxCalculationOut:
      properties:
        tax_calculations:
          items:
            $ref: '#/components/schemas/TaxCalculationOut'
          title: Tax Calculations
          type: array
      title: GetTaxCalculationOut
      type: object
    TaxCalculationOut:
      properties:
        order_tax_id:
          format: uuid
          title: Order Tax Id
          type: string
        order_id:
          format: uuid
          title: Order Id
          type: string
        provider:
          $ref: '#/components/schemas/TaxProviderEnum'
        tax_inclusive:
          type: boolean
          title: Tax Inclusive
          nullable: true
        currency_code:
          title: Currency Code
          type: string
        estimate_tax_amount:
          title: Estimate Tax Amount
          type: string
        estimate_calculation_id:
          type: string
          title: Estimate Calculation Id
          nullable: true
        estimate_country_code:
          title: Estimate Country Code
          type: string
        estimate_subdivision:
          type: string
          title: Estimate Subdivision
          nullable: true
        estimate_postal_code:
          type: string
          title: Estimate Postal Code
          nullable: true
        final_tax_amount:
          type: string
          title: Final Tax Amount
          nullable: true
        committed_calculation_id:
          type: string
          title: Committed Calculation Id
          nullable: true
        committed_transaction_id:
          type: string
          title: Committed Transaction Id
          nullable: true
        reversal_transaction_id:
          type: string
          title: Reversal Transaction Id
          nullable: true
        reversed_tax_amount:
          type: string
          title: Reversed Tax Amount
          nullable: true
        final_country_code:
          type: string
          title: Final Country Code
          nullable: true
        final_subdivision:
          type: string
          title: Final Subdivision
          nullable: true
        final_postal_code:
          type: string
          title: Final Postal Code
          nullable: true
        amount_total:
          type: string
          title: Amount Total
          nullable: true
        tax_breakdown:
          items:
            $ref: '#/components/schemas/TaxBreakdownOut'
          title: Tax Breakdown
          type: array
        expires_at:
          type: string
          format: date-time
          title: Expires At
          nullable: true
        created_at:
          format: date-time
          title: Created At
          type: string
      required:
        - order_tax_id
        - order_id
        - provider
        - currency_code
        - estimate_tax_amount
        - estimate_country_code
        - created_at
      title: TaxCalculationOut
      type: object
    TaxProviderEnum:
      enum:
        - none
        - stripe
        - static
        - third_party
        - taxwire
      title: TaxProviderEnum
      type: string
    TaxBreakdownOut:
      properties:
        amount:
          type: string
          title: Amount
          nullable: true
        percentage:
          type: string
          title: Percentage
          nullable: true
        inclusive:
          title: Inclusive
          type: boolean
        country:
          type: string
          title: Country
          nullable: true
        subdivision:
          type: string
          title: Subdivision
          nullable: true
        tax_type:
          type: string
          title: Tax Type
          nullable: true
        taxability_reason:
          type: string
          title: Taxability Reason
          nullable: true
      required:
        - amount
        - percentage
        - inclusive
      title: TaxBreakdownOut
      type: object
  securitySchemes:
    FunnelFoxSecretKey:
      type: apiKey
      in: header
      name: ff-secret-key
      description: Secret key for FunnelFox Payments API. Required for all requests.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.